DISPLAY-DHAMMAPADA(1)

NAME
display-dhammapada - display a verse from the Dhammapada

SYNOPSIS
display-dhammapada [OPTIONS] [num]
dhamma [OPTIONS]

DESCRIPTION

The Dhammapada is an anthology of 423 verses from the Kuddaka Nikaya part of the Theravada Pali Canon. It contains Buddhist ethical and spiritual precepts. One of the translations is by John Richards; the other is an older translation by F. Max Muller.

display-dhammapada and dhamma both print to the standard output.

xdhamma prints using notify-send

See man xdhamma for details

OPTIONS

-r  Use the Richards translation (default).

-m  Use the Muller translation.

-b  Display corresponding verses from both translations.

-pl Use the Polish translation (default for Polish locale).

[num]
    Print the given number verse.

all Print all the verses.

With no arguments a random verse is printed.

EXAMPLES

To display a verse each time you log in on a console or open a terminal, put display-dhammapada in your ~/.profile, ~/.bash_profile or ~/.login, as appropriate for your shell.

To display a verse each time you log in on a graphical (X Window) session, run xdhamma in your DE session start-up or ~/.xsession.

To use display-dhammapada with cowsay

display-dhammapada | cowsay -W 120 -t

To use display-dhammapada with zenity

display-dhammapada | zenity --text-info --title="Dhammapada Verse" --width=600 --height=200

KDE has "amor" toy that can display various tips.  To use the dhammapada for that enter these commands at shell prompt:

mkdir ~/.kde/share/apps/amor
display-dhammapada -r all |perl -0777 -pe 's/\n\s*\n\s*\n/\n%\n/g' >~/.kde/share/apps/amor/tips

Then start amor K->Toys->Amor, right click on amor animation, select "Options" and check "Show random tips".

One can automatically attach Dhammapada verse in e-mail footer. To do this with mutt add set signature=display-dhammapada| in your ~/.muttrc file.

FILES

/usr/share/display-dhammapada/dhammapada-english-transl.txt

/usr/share/display-dhammapada/dhammapada-alternate.txt

/usr/share/display-dhammapada/dhammapada-polish-transl.txt

SEE ALSO
notify-send

BUGS
Please report bugs on Launchpad : https://bugs.launchpad.net/display-dhammapada

AUTHORS

Authors: Program: display-dhammapada was originally written by Richard Cepas <rch@online.lt> and later updated by bodhi.zazen <bodhizazen at fedoraproject dot org> and paultag <paultag at ubuntu.com>

Copyright GPL v3

Home Page: http://bodhizazen.net/display-dhammapada/

Richards' English translation of the Dhammapada: Copyright (C) 1993 John Richards, Pembrokeshire (UK), permission granted for use here. See http://eawc.evansville.edu/anthology/dhammapada.htm

Muller's translation of the Dhammapada: Public Domain, used here courtesy of Project Gutenberg.

Polish translation (by Zbigniew Becker): Public Domain, as explained at http://creativecommons.org/licenses/publicdomain
See also http://mahajana.net/dhammapada/